org.eclipse.wst.jsdt.chromium.debug.core.model

## Interface BreakpointSynchronizer.BreakpointHelper

Enclosing class:
  BreakpointSynchronizer

    public static interface BreakpointSynchronizer.BreakpointHelper

Additional interface used by `BreakpointSynchronizer`.

### Nested Class Summary

Nested Classes
`static interface` `BreakpointSynchronizer.BreakpointHelper.CreateCallback`

### Method Summary

All Methods Instance Methods Abstract Methods
`RelayOk` `createBreakpointOnRemote(ChromiumLineBreakpoint uiBreakpoint, VmResourceRef vmResourceRef, BreakpointSynchronizer.BreakpointHelper.CreateCallback createCallback, SyncCallback syncCallback)` Create breakpoint on remote VM (asynchronously) and link it to uiBreakpoint.
`BreakpointInTargetMap<Breakpoint,ChromiumLineBreakpoint>` `getLineBreakpointMap()`
`void` `registerExceptionBreakpoint(java.util.Collection<ChromiumExceptionBreakpoint> breakpoints)`

### Method Detail

#### createBreakpointOnRemote

    RelayOk createBreakpointOnRemote(ChromiumLineBreakpoint uiBreakpoint,
                                     VmResourceRef vmResourceRef,
                                     BreakpointSynchronizer.BreakpointHelper.CreateCallback createCallback,
                                     SyncCallback syncCallback)
                              throws CoreException

Create breakpoint on remote VM (asynchronously) and link it to uiBreakpoint.

Throws:
  `CoreException`

#### getLineBreakpointMap

    BreakpointInTargetMap<Breakpoint,ChromiumLineBreakpoint> getLineBreakpointMap()

#### registerExceptionBreakpoint

    void registerExceptionBreakpoint(java.util.Collection<ChromiumExceptionBreakpoint> breakpoints)